# --------------------------------------------------------------- Imports ---------------------------------------------------------------- #

# System
from typing import Optional, Hashable

# Pip
from jsoncodable import JSONCodable
from kcu import kjson

# ---------------------------------------------------------------------------------------------------------------------------------------- #



# ---------------------------------------------------------- class: BaseIdable ----------------------------------------------------------- #

class BaseIdable(JSONCodable):

    # ------------------------------------------------------------- Init ------------------------------------------------------------- #

    def __init__(
        self,
        d: dict
    ):
        self.id = d['id']


    # ------------------------------------------------------- Internal methods ------------------------------------------------------- #

    def _d_val(self, d: dict, key: Hashable, def_val: Optional[any] = None) -> Optional[any]:
        return kjson.get_value(d, key=key, default_value=def_val)


# ---------------------------------------------------------------------------------------------------------------------------------------- #