# --------------------------------------------------------------- Imports ---------------------------------------------------------------- #

# System
from typing import Union

# Local
from .base import BaseCompetingObject, Country, Sport

# ---------------------------------------------------------------------------------------------------------------------------------------- #



# ---------------------------------------------------------- class: Competitor ----------------------------------------------------------- #

class Competitor(BaseCompetingObject):

    # ------------------------------------------------------------- Init ------------------------------------------------------------- #

    def __init__(
        self,
        d: dict,
        sport_or_sport_dict: Union[Sport, dict],
        country_or_country_dict: Union[Country, dict]
    ):
        super().__init__(d, sport_or_sport_dict=sport_or_sport_dict, country_or_country_dict=country_or_country_dict)

        self.type = d['type']


    # ----------------------------------------------------------- Overrides ---------------------------------------------------------- #

    def _image_url_key(self) -> str:
        return 'Competitors'


# ---------------------------------------------------------------------------------------------------------------------------------------- #